Package be.fgov.ehealth.ehbox.consultation.protocol.v3

# Class DeleteOoOResponse

java.lang.Object
be.fgov.ehealth.commons.protocol.v1.ResponseType
be.fgov.ehealth.ehbox.consultation.protocol.v3.DeleteOoOResponse

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:14:01+02:00", comments="JAXB RI v4.0.5") public class DeleteOoOResponse extends ResponseType implements Serializable

Java class for DeleteOoOResponseType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="DeleteOoOResponseType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:protocol:v1}ResponseType">
           <sequence minOccurs="0">
             <element name="OoOId" type="{urn:be:fgov:ehealth:ehbox:core:v3}OoOIdType" maxOccurs="unbounded"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DeleteOoOResponse()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<String>`
  `getOoOIds()`
  Gets the value of the ooOIds property.

  ### Methods inherited from class be.fgov.ehealth.commons.protocol.v1.ResponseType

  `getId, getStatus, setId, setStatus`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DeleteOoOResponse

    public DeleteOoOResponse()

- ## Method Details

  - ### getOoOIds

    public List<String> getOoOIds()
    Gets the value of the ooOIds property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the ooOIds property.

    For example, to add a new item, do as follows:

         getOoOIds().add(newItem);

    Objects of the following type(s) are allowed in the list `String`

    Returns:
      The value of the ooOIds property.